LABFRAME(1)

NAME
Tk::LabFrame - labeled frame.

SYNOPSIS
use Tk::LabFrame;

$f = $parent->LabFrame(?-label=>text, -labelside=>where, ...?);

DESCRIPTION
LabFrame is exactly like Frame and additionaly allows to add a label to the frame.

WIDGET-OPTIONS
LabFrame supports the same options as the Frame widget.

Additional options of LabFrame are:

-label => text
    The text of the label to be placed with the Frame.

-labelside => where
    Where can be one of left, right, top, bottom or acrosstop. The first four work as might be expected and place the label to the left, right, above or below the frame respectively. The acrosstop creates a grooved frame around the central frame and puts the label near the northwest corner such that it appears to "overwrite" the groove.

EXAMPLE
Run the following test program to see this in action:

    use strict;
    use Tk;
    require Tk::LabFrame;
    require Tk::LabEntry;
    my $test = 'Test this';
    my $mw = Tk::MainWindow->new;
    my $f = $mw->LabFrame(-label => "This is a label",
                           -labelside => "acrosstop");
    $f->LabEntry(-label => "Testing", -textvariable => \$test)->pack;
    $f->pack;
    Tk::MainLoop;

BUGS
Perhaps LabFrame should be subsumed within the generic pTk labeled widget mechanism.

AUTHOR
Rajappa Iyer rsi@earthling.net

This code is derived from LabFrame.tcl and LabWidg.tcl in the Tix4.0 distribution by Ioi Lam. The code may be redistributed under the same terms as Perl.